# -*- coding: utf-8 -*-
import configparser
import os
import env

print(os.environ.get("CONFIG"))


class Configuracoes:

    def __init__(self):
        try:
            fileName = os.environ.get("CONFIG")
            config = configparser.RawConfigParser()
            path = os.path.abspath(os.path.join(
                os.getcwd(), fileName))
            print(path)
            config.read(path)
            self.config = config
        except Exception as e:
            # trocar para exceções customizadas
            print("Não foi possível abrir o arquivo de configurações")

    def getConfig(self):
        return self.config
